--[[
LICENCE DETAILS: ZLIB LICENCE

Copyright (c) <2012> <Lewis Pearce>

This software is provided 'as-is', without any express or implied
warranty. In no event will the authors be held liable for any damages
arising from the use of this software.

Permission is granted to anyone to use this software for any purpose,
including commercial applications, and to alter it and redistribute it
freely, subject to the following restrictions:

   1. The origin of this software must not be misrepresented; you must not
   claim that you wrote the original software. If you use this software
   in a product, an acknowledgment in the product documentation would be
   appreciated but is not required.

   2. Altered source versions must be plainly marked as such, and must not be
   misrepresented as being the original software.

   3. This notice may not be removed or altered from any source
   distribution.
]]

local keyboard = {}

-- keypressed inputs
-- typed input toggles whether you are writing or using shortcuts
--[[
function love.keypressed(key,unicode)
	if key == "f1" then
		if debug then
			debug = false
		else
			debug = true
		end
	end
	if key == "f2" then
		hotload()
	end
	if typedinput then
		keyAction("typedinput",key)
	else
	
	end
end
]]

-- function that makes sure the key your pressing is an okay typedinput
function typedinputcheck(item)
	local temp = false
	local possibleinputs = {" ","1","2","3","4","5","6","7","8","9","0","q","w","e","r","t","y","u","i","o","p","a","s","d","f","g","h","j","k","l","z","x","c","v","b","n","m"}
	
	for i,v in ipairs(possibleinputs) do
		if item == v then
			temp = true
		end
	end
	
	return temp
end



--SUPERFUNCTION
--controls all of the actions from keyboard inputs from both
--keypressed and keydown
--x and y not just used for x and y positions
--but also for x and y arguments or information for ease of customisation of this table
function keyAction(action,x,y)
	local x = x or nil
	local y = y or nil
	if action == "debug" then
		if debug then
			debug = false
		else
			debug = true
		end
	elseif action == "nload" then
		local temp = {}
		for i,v in ipairs(lastmod[1]) do
			local temp2,_ = love.filesystem.getLastModified(v)
			table.insert(temp,temp2)
			temp2,_ = nil,nil
		end
		for i,v in ipairs(temp) do
			if v ~= lastmod[2][i] then
				ropeRead(lastmod[1][i])
			end
		end
		temp = nil
	elseif action == "fullscreen" then
		love.graphics.toggleFullscreen()
	elseif action == "escapepress" then
		if area == "menu" then
			love.event.push('quit')
		elseif area == "sandbox" then
			if sliderinfo[1].b == -220 then
				menushow = true
				currenttable = sandboxmenutable
				sliderinfo[1].b = 0
				menuwidth = 200
			elseif sliderinfo[1].b == 0 then
				menushow = false
				currenttable = sandboxtable
				sliderinfo[1].b = -220
			end
		end
	elseif action == "camera_keydir" then
		keydir = {x,y}
	elseif action == "typedinput" then
		if x == "backspace" or x == "delete" then
			table.remove(typed)
			selectedproject = table.concat(typed)
		else
			if font24:getWidth(table.concat(typed)) <= 200 and typedinputcheck(x) then
				table.insert(typed,x)
				selectedproject = table.concat(typed)
			end
		end
	elseif action == "ctt" then
		if x then
			local increase = 0
			if ctt[2] + 1 <= #tiletypes then
				increase = ctt[2] + 1
			elseif ctt[2] + 1 > #tiletypes then
				increase = 1
			end
			ctt = {tiletypes[increase][1],increase}
		elseif not x then
			local decrease = 0
			if ctt[2] - 1 > 0 then
				decrease = ctt[2] - 1
			elseif ctt[2] - 1 < 1 then
				decrease = #tiletypes
			end
			ctt = {tiletypes[decrease][1],decrease}
		end
		if area == "edit_map" then
			menu = {sheet = {},quad = {},scale = {}}
			for i = 1,3 do
				menu.sheet[i], menu.quad[i] = getmenudata(i-2)
				local foo, foo, foo, scale = menu.quad[i]:getViewport()
				menu.scale[i] = 100 / scale
			end
		end
	elseif action == "ctp" then
		local test = null
		if ctt[1] == "tile" then
			test = #spritesheets.quadInfo
		elseif ctt[1] == "overlay" then
			test = #spritesheets.overlayquadInfo
		elseif ctt[1] == "object" then
			test = #spritesheets.objectquadInfo
		end
		assert(test ~= null,"TEST == NULL (control.lua(548))")
		if x then
			local increase = 0
			if ctp[ctt[2]] + 1 <= test then
				increase = ctp[ctt[2]] + 1
			elseif ctp[ctt[2]] + 1 > test then
				increase = 1
			end
			ctp[ctt[2]] = increase
		elseif not x then
			local decrease = 0
			if ctp[2] - 1 > 0 then
				decrease = ctp[ctt[2]] - 1
			elseif ctp[2] - 1 < 1 then
				decrease = test
			end
			ctp[ctt[2]] = decrease
		end
		
		menu = {sheet = {},quad = {},scale = {}}
		for i = 1,3 do
			menu.sheet[i], menu.quad[i] = getmenudata(i-2)
			local foo, foo, foo, scale = menu.quad[i]:getViewport()
			menu.scale[i] = 100 / scale
		end
		
	elseif action == "tilesize" then
		tilesize = tilesize + x
	elseif action == "backgroundshade" then
		if backgroundshade >= 255 then
			backgroundshade = 254
		elseif backgroundshade <= 0 then
			backgroundshade = 1
		elseif backgroundshade <= 255 and backgroundshade >= 0 then
			backgroundshade = backgroundshade + x
		end
	elseif action == "map_save" then
		mapsave()
	end
end










