--[[
LICENCE DETAILS: ZLIB LICENCE

Copyright (c) <2012> <Lewis Pearce>

This software is provided 'as-is', without any express or implied
warranty. In no event will the authors be held liable for any damages
arising from the use of this software.

Permission is granted to anyone to use this software for any purpose,
including commercial applications, and to alter it and redistribute it
freely, subject to the following restrictions:

   1. The origin of this software must not be misrepresented; you must not
   claim that you wrote the original software. If you use this software
   in a product, an acknowledgment in the product documentation would be
   appreciated but is not required.

   2. Altered source versions must be plainly marked as such, and must not be
   misrepresented as being the original software.

   3. This notice may not be removed or altered from any source
   distribution.
]]

local control = {}

-- HOLDS ALL GAME CONTROLS AND SOME FUNCTIONS RELATING TO THEM

-- interaction tables used by the menu system 
--[[
startuptable = {
	{x=100,y=70,w=600,h=80,action={"pre","rwrinfo"},},
	
	{x=280,y=210,w=235,h=240,action={"pre","projects"},},
	
	{x=280,y=455,w=235,h=95,action={"pre","owinfo"},},
} ]]

-- currenttable to draw menu style interactions from
-- now in startup code
--currenttable = {tablecurrent,...othertables}

--[[  CENTER X AND Y POS CODE
]]
control.isInRect = function(box1x, box1y, box1w, box1h, box2x, box2y, box2w, box2h)
    if box1x-(box1w*0.5) > box2x + (box2w*0.5) - 1 or -- Is box1 on the right side of box2?
       box1y-(box1h*0.5) > box2y + (box2h*0.5) - 1 or -- Is box1 under box2?
       box2x-(box2w*0.5) > box1x + (box1w*0.5) - 1 or -- Is box2 on the right side of box1?
       box2y-(box2h*0.5) > box1y + (box1h*0.5) - 1    -- Is b2 under b1?
    then
        return false                -- No collision. Yay!
    else
        return true                 -- Yes collision. Ouch!
    end
end


--[[ CORNER X AND Y POS CODE
control.isInRect = function(box1x, box1y, box1w, box1h, box2x, box2y, box2w, box2h)
    if box1x > box2x + box2w - 1 or -- Is box1 on the right side of box2?
       box1y > box2y + box2h - 1 or -- Is box1 under box2?
       box2x > box1x + box1w - 1 or -- Is box2 on the right side of box1?
       box2y > box1y + box1h - 1    -- Is b2 under b1?
    then
        return false                -- No collision. Yay!
    else
        return true                 -- Yes collision. Ouch!
    end
end
]]

-- click area detection functions for menu code

control.detectAction = function(x,y,table)
	local id = nil
	for i,v in ipairs(table) do
		if control.isInRect(x,y,1,1,v.x,v.y,v.w,v.h) == true then
			id = {i,v.action}
		end
	end
	return id
end

--input library for mousepresses examples
--[[
function love.mousepressed(x,y,button)
	typedinput = false
	mouseAction(x,y,button,currenttable)
end

function love.mousereleased(x,y,button)
	if button == "m" then
		mouseAction(x,y,button,currenttable)
	end
end
]]

-- HUD DETECTION CODE


--SUPERFUNCTION
--controls all of the mouse actions within the editor
--a bit cryptic but not to hard to understand
-- table should be the current interaction table to test
--[[function control.mouseAction(x,y,key,table)
	----MENU
	local action = control.detectAction(x,y,table)
	
	--NULL INPUT
	--stops it from crashing if theres nothing at click
	if action ~= nil then
		if action[3][1] == "level1" then
			-- the only input in this area, selects and controls the settings for projects
			if action[3][2] == "level2" then
				
			end
		end
	end
end]]

return control









