local settings = {}
love.filesystem.setIdentity("ObscureWorlds/Carcass")




if love.filesystem.exists("settings.lua") then

	settings = ow.rope.readreturn("settings.lua")
	
else

	settings = {
		fullscreen = false,
		seacolor = {75,10,0},
		opponents = 0,
		fertility = 60,
		mapsize = 2,
	}
	--love.filesystem.write("settings.lua","local settings="..ow.rope.burn(settings).."\n".." return settings")
	
end

function settings:save()
		love.filesystem.write("settings.lua","local settings="..ow.rope.burn(self).."\n".." return settings")
end

function settings:reset()
	if settings.fullscreen then
		love.graphics.toggleFullscreen()
	end
	
	settings.fullscreen = false
	settings.seacolor = {100,50,0},
	love.filesystem.write("settings.lua","local settings="..ow.rope.burn(settings).."\n".." return settings")
end

if settings.fullscreen then
	love.graphics.toggleFullscreen()
end

return settings