local gamecore = {}

gamecore.font = love.graphics.newFont("fonts/Lekton-Bold.ttf",36)
gamecore.fontsmall = love.graphics.newFont("fonts/Lekton-Bold.ttf",20)
gamecore.mouse = {
	}


gamecore.draw = function()
	love.graphics.push()
	love.graphics.translate(-(game.camera.x-400),-(game.camera.y-300))
	love.graphics.scale(game.camera.z)
	
	
	
	love.graphics.pop()
	
	love.graphics.setFont(gamecore.fontsmall)
	love.graphics.setColor(150,0,0,game.states:getAlpha("gamecore"))
	love.graphics.print("X",(love.graphics.getWidth()*0.5)-(gamecore.fontsmall:getWidth("X")*0.5),(love.graphics.getHeight()*0.5)-(gamecore.fontsmall:getHeight("X")*0.5))
end

gamecore.update = function(dt)
	if gamecore.destination then
		if game.states:getAlpha("gamecore") == 0 then
			game.states:purge("gamecore")
			if gamecore.destination == "return" then
				game.states:add("menu","code/states/menu.lua",1)
			elseif gamecore.destination == "play" then
				game.states:add("menu","code/states/menu.lua",1)
			end
		end
	end
end

function gamecore.mouseActions(x,y,button)
	-- declare table at top of file
	
	-- test
	local action = ow.mouse.detectAction(x,y,gamecore.mouse)
	--NULL INPUT
	--stops it from crashing if theres nothing at click
	if action ~= nil then
		
		-- begin various tests by assessing the 
		
		-- options
		if action[2][1] == "opponents" then
			if action[2][2] == "-" then
				if gamecore.settings.opponents >= 1 then
					gamecore.settings.opponents = gamecore.settings.opponents - 1
					gamecore.positions = gamecore.positionmap("players")
				end
			elseif action[2][2] == "+" then
				if gamecore.settings.mapsize > 1 and gamecore.settings.opponents < 1 then
					gamecore.settings.opponents = gamecore.settings.opponents + 1
					gamecore.positions = gamecore.positionmap("players")
				elseif gamecore.settings.mapsize > 2 and gamecore.settings.opponents <= 1 then
					gamecore.settings.opponents = gamecore.settings.opponents + 1
					gamecore.positions = gamecore.positionmap("players")
				end
			elseif action[2][2] == "*" then
				gamecore.positions = gamecore.positionmap("players")
			end
		elseif action[2][1] == "fertility" then
			if action[2][2] == "-" then
				if gamecore.settings.fertility >= 20 then
					gamecore.settings.fertility = gamecore.settings.fertility - 10
					gamecore.positions = gamecore.positionmap("plants")
				end
			elseif action[2][2] == "+" then
				if gamecore.settings.fertility <= 70 then
					gamecore.settings.fertility = gamecore.settings.fertility + 10
					gamecore.positions = gamecore.positionmap("plants")
				end
			elseif action[2][2] == "*" then
				gamecore.positions = gamecore.positionmap("plants")
			end
		elseif action[2][1] == "size" then
			if action[2][2] == "-" then
				if gamecore.settings.mapsize >= 2 then
					gamecore.settings.mapsize = gamecore.settings.mapsize - 1
					if gamecore.settings.mapsize == 1 then
						gamecore.settings.opponents = 0
					elseif gamecore.settings.mapsize == 2 then
						if gamecore.settings.opponents > 1 then
							gamecore.settings.opponents = 1
						end
					end
					gamecore.positions = gamecore.positionmap()
				end
			elseif action[2][2] == "+" then
				if gamecore.settings.mapsize <= 3 then
					gamecore.settings.mapsize = gamecore.settings.mapsize + 1
					gamecore.positions = gamecore.positionmap()
				end
			end
			
		-- return and play buttons
		elseif action[2][1] == "return" then
			game.states:setAlpha("gamecore",0,200)
			gamecore.destination = "return"
		elseif action[2][1] == "play" then
			game.states:setAlpha("gamecore",0,200)
			gamecore.destination = "play"
		end
	end
end

gamecore.init = function()
	game.states:setAlpha("gamecore",255,150)
end

return gamecore