local gameui = {}

gameui.font = love.graphics.newFont("fonts/Lekton-Bold.ttf",36)
gameui.fontsmall = love.graphics.newFont("fonts/Lekton-Bold.ttf",20)
gameui.mouse = {
	}


gameui.draw = function()
	love.graphics.setFont(gameui.fontsmall)
	love.graphics.setColor(150,0,0,game.states:getAlpha("gameui"))

end

gameui.update = function(dt)
	if gameui.destination then
		if game.states:getAlpha("gameui") == 0 then
			game.states:purge("gameui")
			if gameui.destination == "return" then
				game.states:add("menu","code/states/menu.lua",1)
			elseif gameui.destination == "play" then
				game.states:add("menu","code/states/menu.lua",1)
			end
		end
	end
end

function gameui.mouseActions(x,y,button)
	-- declare table at top of file
	
	-- test
	local action = ow.mouse.detectAction(x,y,gameui.mouse)
	--NULL INPUT
	--stops it from crashing if theres nothing at click
	if action ~= nil then
		
		-- begin various tests by assessing the 
		
		-- options
		if action[2][1] == "opponents" then
			if action[2][2] == "-" then
				if gameui.settings.opponents >= 1 then
					gameui.settings.opponents = gameui.settings.opponents - 1
					gameui.positions = gameui.positionmap("players")
				end
			elseif action[2][2] == "+" then
				if gameui.settings.mapsize > 1 and gameui.settings.opponents < 1 then
					gameui.settings.opponents = gameui.settings.opponents + 1
					gameui.positions = gameui.positionmap("players")
				elseif gameui.settings.mapsize > 2 and gameui.settings.opponents <= 1 then
					gameui.settings.opponents = gameui.settings.opponents + 1
					gameui.positions = gameui.positionmap("players")
				end
			elseif action[2][2] == "*" then
				gameui.positions = gameui.positionmap("players")
			end
		elseif action[2][1] == "fertility" then
			if action[2][2] == "-" then
				if gameui.settings.fertility >= 20 then
					gameui.settings.fertility = gameui.settings.fertility - 10
					gameui.positions = gameui.positionmap("plants")
				end
			elseif action[2][2] == "+" then
				if gameui.settings.fertility <= 70 then
					gameui.settings.fertility = gameui.settings.fertility + 10
					gameui.positions = gameui.positionmap("plants")
				end
			elseif action[2][2] == "*" then
				gameui.positions = gameui.positionmap("plants")
			end
		elseif action[2][1] == "size" then
			if action[2][2] == "-" then
				if gameui.settings.mapsize >= 2 then
					gameui.settings.mapsize = gameui.settings.mapsize - 1
					if gameui.settings.mapsize == 1 then
						gameui.settings.opponents = 0
					elseif gameui.settings.mapsize == 2 then
						if gameui.settings.opponents > 1 then
							gameui.settings.opponents = 1
						end
					end
					gameui.positions = gameui.positionmap()
				end
			elseif action[2][2] == "+" then
				if gameui.settings.mapsize <= 3 then
					gameui.settings.mapsize = gameui.settings.mapsize + 1
					gameui.positions = gameui.positionmap()
				end
			end
			
		-- return and play buttons
		elseif action[2][1] == "return" then
			game.states:setAlpha("gameui",0,200)
			gameui.destination = "return"
		elseif action[2][1] == "play" then
			game.states:setAlpha("gameui",0,200)
			gameui.destination = "play"
		end
	end
end

gameui.init = function()
	game.states:setAlpha("gameui",255,150)
end

return gameui