-- setup of states
local states = {}

function states:add(name,statefile,a)
	local a = a or 255
	table.insert(self,{})
	self[#self] = ow.rope.readreturn(statefile)
	self[#self][1] = name
	self[#self].alpha = {a,a,0}
	self[#self].init()
end

function states:purge(name)
	for i = 1,#self do
		if self[i] ~= nil then
			if self[i][1] == name then
				self[i].alpha = {0,0,0}
				for j = 1,#self[i] do
					self[i][j] = nil
				end
				table.remove(self,i)
			end
		end
	end
end

function states:getID(id)
	if type(id) == "string" then
		for i = 1,#self do
			if self[i][1] == id then
				return i
			end
		end
	elseif type(id) == "number" then
		return self[id][1]
	end
end


function states:zPos(name,pos)
	if pos == "top" then pos = #self end
	if pos == "bottom" then pos = 1 end
	
	if pos <= #self and pos > 0 then
		for i = 1,#self do
			if self[i][1] == name then
				local temp = self[i]
				table.remove(self,i)
				table.insert(temp,pos)
				temp = nil
			end
		end
	end
end

function states:getAlpha(name)
	for i = 1,#self do
		if self[i][1] == name then
			return self[i].alpha[1]
		end
	end
end

function states:setAlpha(name,a,speed)
	for i = 1,#self do
		if self[i][1] == name then
			self[i].alpha[2] = a
			self[i].alpha[3] = speed
		end
	end
end

function states:update(dt)
	-- alpha check
	for i = 1,#self do
		if self[i].alpha[1] ~= self[i].alpha[2] then
			if self[i].alpha[1] ~= self[i].alpha[2] then
				if self[i].alpha[1] > self[i].alpha[2] then
					self[i].alpha[1] = self[i].alpha[1] - (self[i].alpha[3]*dt)
					if self[i].alpha[1] < self[i].alpha[2] then
						self[i].alpha[1] = self[i].alpha[2]
					end
				elseif self[i].alpha[1] < self[i].alpha[2] then
					self[i].alpha[1] = self[i].alpha[1] + (self[i].alpha[3]*dt)
					if self[i].alpha[1] > self[i].alpha[2] then
						self[i].alpha[1] = self[i].alpha[2]
					end
				end
			end
		end
	end
end

return states