local intro = {}

intro.logo = love.graphics.newImage("images/owlogo260.png")
intro.font = love.graphics.newFont("fonts/Lekton-Bold.ttf",20)
intro.time = 0
love.graphics.setFont(intro.font)
intro.mouse = {
		{
			x=love.graphics.getWidth()*0.5,
			y=love.graphics.getHeight()*0.5,
			w=love.graphics.getWidth(),
			h=love.graphics.getHeight(),
			action={"skip"},
		},
	}

intro.draw = function()
	love.graphics.setColor(255,255,255,game.states:getAlpha("intro"))
	love.graphics.draw(intro.logo,love.graphics.getWidth()/2,love.graphics.getHeight()/2,0,1,1,130,120)
	love.graphics.setColor(150,0,0,game.states:getAlpha("intro"))
	love.graphics.print("Obscure Worlds",(love.graphics.getWidth()/2)-(intro.font:getWidth("Obscure Worlds")/2),110+(love.graphics.getHeight()/2))
end

intro.update = function(dt)
	if intro.alpha[1] == 255 then
		if intro.time == 0 then
			intro.time = love.timer.getTime()
		end
	elseif intro.alpha[1] == 0 then
		game.states:purge("intro")
		game.states:add("lovelogo","code/states/lovelogo.lua",1)
	end
	
	if intro.time ~= 0 then
		if love.timer.getTime() - intro.time >= 1 then
			game.states:setAlpha("intro",0,200)
		end
	end
end

function intro.mouseActions(x,y,button)
	-- declare table at top of file
	
	-- test
	local action = ow.mouse.detectAction(x,y,intro.mouse)
	--NULL INPUT
	--stops it from crashing if theres nothing at click
	if action ~= nil then
		
		-- begin various tests by assessing the 
		if action[2][1] == "skip" then
			game.states:purge("intro")
			game.states:add("menubackground","code/states/menubackground.lua",1)
			game.states:add("menu","code/states/menu.lua",1)
		end
	end
end

intro.init = function()
	game.states:setAlpha("intro",255,150)
end

return intro