local loadgame = {}

loadgame.font = love.graphics.newFont("fonts/Lekton-Bold.ttf",36)
loadgame.fontsmall = love.graphics.newFont("fonts/Lekton-Bold.ttf",20)
loadgame.mouse = {
		{
			x=love.graphics.getWidth()*0.25,
			y=(love.graphics.getHeight()*0.75)+18,
			w=loadgame.font:getWidth("Return"),
			h=34,
			action={"return"},
		},
		{
			x=love.graphics.getWidth()*0.75,
			y=(love.graphics.getHeight()*0.75)+18,
			w=loadgame.font:getWidth("Play"),
			h=34,
			action={"play"},
		},
	}

loadgame.draw = function()
	love.graphics.setFont(loadgame.font)
	love.graphics.setColor(150,0,0,game.states:getAlpha("loadgame"))
	
	love.graphics.print("Return",(love.graphics.getWidth()*0.25)-(loadgame.font:getWidth("Return")*0.5),love.graphics.getHeight()*0.75)
	love.graphics.print("Play",(love.graphics.getWidth()*0.75)-(loadgame.font:getWidth("Play")*0.5),love.graphics.getHeight()*0.75)

end

loadgame.update = function(dt)
	if loadgame.destination then
		if game.states:getAlpha("loadgame") == 0 then
			game.states:purge("loadgame")
			if loadgame.destination == "return" then
				game.states:add("menu","code/states/menu.lua",1)
			elseif loadgame.destination == "play" then
				game.states:add("menu","code/states/menu.lua",1)
			end
		end
	end
end

function loadgame.mouseActions(x,y,button)
	-- declare table at top of file
	
	-- test
	local action = ow.mouse.detectAction(x,y,loadgame.mouse)
	--NULL INPUT
	--stops it from crashing if theres nothing at click
	if action ~= nil then
		
		-- begin various tests by assessing the 
		if action[2][1] == "return" then
			game.states:setAlpha("loadgame",0,200)
			loadgame.destination = "return"
		elseif action[2][1] == "play" then
			game.states:setAlpha("loadgame",0,200)
			loadgame.destination = "play"
		end
	end
end

loadgame.init = function()
	game.states:setAlpha("loadgame",255,150)
end

return loadgame