local lovelogo = {}

lovelogo.logo = love.graphics.newImage("images/lovelogo.png")
lovelogo.font = love.graphics.newFont("fonts/Lekton-Bold.ttf",20)
lovelogo.time = 0
love.graphics.setFont(lovelogo.font)
lovelogo.mouse = {
		{
			x=love.graphics.getWidth()*0.5,
			y=love.graphics.getHeight()*0.5,
			w=love.graphics.getWidth(),
			h=love.graphics.getHeight(),
			action={"skip"},
		},
	}

lovelogo.draw = function()
	love.graphics.setColor(150,0,0,game.states:getAlpha("lovelogo"))
	love.graphics.draw(lovelogo.logo,love.graphics.getWidth()/2,love.graphics.getHeight()/2,0,1,1,128,64)
	love.graphics.print("engine",(love.graphics.getWidth()/2)-(lovelogo.font:getWidth("engine")/2),(love.graphics.getHeight()/2)+44)
end

lovelogo.update = function(dt)
	if lovelogo.alpha[1] == 255 then
		if lovelogo.time == 0 then
			lovelogo.time = love.timer.getTime()
		end
	elseif lovelogo.alpha[1] == 0 then
		game.states:purge("lovelogo")
		game.states:add("tltools","code/states/tltools.lua",1)
	end
	
	if lovelogo.time ~= 0 then
		if love.timer.getTime() - lovelogo.time >= 1 then
			game.states:setAlpha("lovelogo",0,200)
		end
	end
end

function lovelogo.mouseActions(x,y,button)
	-- declare table at top of file
	
	-- test
	local action = ow.mouse.detectAction(x,y,lovelogo.mouse)
	--NULL INPUT
	--stops it from crashing if theres nothing at click
	if action ~= nil then
		
		-- begin various tests by assessing the 
		if action[2][1] == "skip" then
			game.states:purge("lovelogo")
			game.states:add("menubackground","code/states/menubackground.lua",1)
			game.states:add("menu","code/states/menu.lua",1)
		end
	end
end

lovelogo.init = function()
	game.states:setAlpha("lovelogo",255,150)
end

return lovelogo