local menu = {}

menu.font = love.graphics.newFont("fonts/Lekton-Bold.ttf",36)
love.graphics.setFont(menu.font)
menu.mouse = {
		{
			x=love.graphics.getWidth()*0.5,
			y=(love.graphics.getHeight()*0.4)+18,
			w=menu.font:getWidth("New Game"),
			h=34,
			action={"new"},
		},
		{
			x=love.graphics.getWidth()*0.5,
			y=(love.graphics.getHeight()*0.5)+18,
			w=menu.font:getWidth("Load Game"),
			h=34,
			action={"load"},
		},
		{
			x=love.graphics.getWidth()*0.5,
			y=(love.graphics.getHeight()*0.6)+18,
			w=menu.font:getWidth("Options"),
			h=34,
			action={"options"},
		},
		{
			x=love.graphics.getWidth()*0.5,
			y=(love.graphics.getHeight()*0.75)+18,
			w=menu.font:getWidth("Quit"),
			h=34,
			action={"quit"},
		},
	}

menu.draw = function()
	love.graphics.setFont(menu.font)
	
	love.graphics.setColor(150,0,0,game.states:getAlpha("menu"))
	love.graphics.print("New Game",(love.graphics.getWidth()*0.5)-(menu.font:getWidth("New Game")*0.5),love.graphics.getHeight()*0.4)
	love.graphics.print("Load Game",(love.graphics.getWidth()*0.5)-(menu.font:getWidth("Load Game")*0.5),love.graphics.getHeight()*0.5)
	love.graphics.print("Options",(love.graphics.getWidth()*0.5)-(menu.font:getWidth("Options")*0.5),love.graphics.getHeight()*0.6)
	love.graphics.print("Quit",(love.graphics.getWidth()*0.5)-(menu.font:getWidth("Quit")*0.5),love.graphics.getHeight()*0.75)

end

menu.update = function(dt)
	if menu.destination then
		if game.states:getAlpha("menu") == 0 then
			game.states:purge("menu")
			if menu.destination == "options" then
				game.states:add("options","code/states/options.lua",1)
			elseif menu.destination == "new" then
				game.states:add("newgame","code/states/newgame.lua",1)
			elseif menu.destination == "load" then
				game.states:add("loadgame","code/states/loadgame.lua",1)
			elseif menu.destination == "quit" then
				love.event.push("quit")
			end
		end
	end
end

function menu.mouseActions(x,y,button)
	-- declare table at top of file
	
	-- test
	local action = ow.mouse.detectAction(x,y,menu.mouse)
	--NULL INPUT
	--stops it from crashing if theres nothing at click
	if action ~= nil then
		
		-- begin various tests by assessing the 
		if action[2][1] == "new" then
			game.states:setAlpha("menu",0,200)
			menu.destination = "new"
		elseif action[2][1] == "load" then
			game.states:setAlpha("menu",0,200)
			menu.destination = "load"
		elseif action[2][1] == "options" then
			game.states:setAlpha("menu",0,200)
			menu.destination = "options"
		elseif action[2][1] == "quit" then
			game.states:setAlpha("menu",0,200)
			menu.destination = "quit"
		end
	end
end

menu.init = function()
	game.states:setAlpha("menu",255,150)
end

return menu