local menubackground = {}

menubackground.logo = love.graphics.newImage("images/carcasstitle.png")
menubackground.clogo = love.graphics.newImage("images/companylogo.png")
menubackground.font = love.graphics.newFont("fonts/Lekton-Bold.ttf",20)
love.graphics.setFont(menubackground.font)

menubackground.draw = function()
	love.graphics.setFont(menubackground.font)
	
	love.graphics.setColor(150,0,0,game.states:getAlpha("menubackground"))
	love.graphics.rectangle("fill",0,0,love.graphics.getWidth(),155)
	love.graphics.setColor(255,255,255,game.states:getAlpha("menubackground"))
	--love.graphics.draw(menubackground.logo,love.graphics.getWidth()/2,155,0,1,1,200,68)
	love.graphics.draw(menubackground.logo,love.graphics.getWidth()/2,155,0,1,1,251,84)
	love.graphics.draw(menubackground.clogo,love.graphics.getWidth()/2,love.graphics.getHeight()-43,0,1,1,24,21)
	
	if menubackground.highlight then
		if game.states[menubackground.highlight[1]] then
			if game.states[menubackground.highlight[1]].mouse[menubackground.highlight[2]] then
				love.graphics.setColor(0,0,0,game.states[menubackground.highlight[1]].alpha[1]*0.5)
				love.graphics.rectangle(
					"fill",
					game.states[menubackground.highlight[1]].mouse[menubackground.highlight[2]].x-(game.states[menubackground.highlight[1]].mouse[menubackground.highlight[2]].w*0.5),
					game.states[menubackground.highlight[1]].mouse[menubackground.highlight[2]].y-(game.states[menubackground.highlight[1]].mouse[menubackground.highlight[2]].h*0.5),
					game.states[menubackground.highlight[1]].mouse[menubackground.highlight[2]].w,
					game.states[menubackground.highlight[1]].mouse[menubackground.highlight[2]].h
				)
				menubackground.highlight = nil
			end
		end
	end
	
	love.graphics.setColor(150,0,0,game.states:getAlpha("menubackground"))
	love.graphics.print("Survival by Design",(love.graphics.getWidth()*0.5)-(menubackground.font:getWidth("Survival by Design")*0.5),love.graphics.getHeight()-20)
	
	
end

menubackground.update = function(dt)
	if game.states:getAlpha("menubackground") == 0 then
		game.states:purge("menubackground")
	end
	
	for i = 1,#game.states do
		if game.states[i] and game.states[i].mouse then
			local action = ow.mouse.detectAction(love.mouse.getX(),love.mouse.getY(),game.states[i].mouse)
			if action then
				menubackground.highlight = {i,action[1]}
			end
			action = nil
		end
	end
end

menubackground.init = function()
	game.states:setAlpha("menubackground",255,150)
end

return menubackground