local options = {}

options.font = love.graphics.newFont("fonts/Lekton-Bold.ttf",20)
options.font2 = love.graphics.newFont("fonts/Lekton-Bold.ttf",36)
love.graphics.setFont(options.font)
options.mouse = {
		{
			x=160,
			y=(love.graphics.getHeight()*0.4)+10,
			w=20,
			h=20,
			action={"fullscreen"},
		},
		
		{
			x=love.graphics.getWidth()*0.5,
			y=(love.graphics.getHeight()*0.75)+18,
			w=options.font2:getWidth("Return"),
			h=34,
			action={"return"},
		},
	}

options.draw = function()
	love.graphics.setFont(options.font)
	love.graphics.setColor(150,0,0,game.states:getAlpha("options"))
	
	love.graphics.print("Fullscreen:",20,love.graphics.getHeight()*0.4)
	love.graphics.rectangle("line",150,love.graphics.getHeight()*0.4,20,20)
	if game.settings.fullscreen then
		love.graphics.print("X",155,(love.graphics.getHeight()*0.4)+2)
	end
	
	love.graphics.setColor(150,0,0,game.states:getAlpha("options"))
	
	love.graphics.setFont(options.font2)
	
	love.graphics.print("Return",(love.graphics.getWidth()*0.5)-(options.font2:getWidth("Return")*0.5),love.graphics.getHeight()*0.75)
	
end

options.update = function(dt)
	if game.states:getAlpha("options") == 0 then
		game.states:purge("options")
		game.states:add("menu","code/states/menu.lua",1)
	end
end

function options.mouseActions(x,y,button)
	-- declare table at top of file
	
	-- test
	local action = ow.mouse.detectAction(x,y,options.mouse)
	--NULL INPUT
	--stops it from crashing if theres nothing at click
	if action ~= nil then
		
		-- begin various tests by assessing the 
		if action[2][1] == "fullscreen" then
			if game.settings.fullscreen then
				game.settings.fullscreen = false
			else
				game.settings.fullscreen = true
			end
			love.graphics.toggleFullscreen()
			
		elseif action[2][1] == "return" then
			game.states:setAlpha("options",0,200)
		end
	end
end

options.init = function()
	game.states:setAlpha("options",255,150)
end

return options