local survivalselect = {}

survivalselect.lock = love.graphics.newImage("images/lock.png")
survivalselect.font = love.graphics.newFont("fonts/Lekton-Bold.ttf",20)
survivalselect.destination = "default"
survivalselect.mouse = {
		{
			x=love.graphics.getWidth()*0.15,
			y=(love.graphics.getHeight()*0.3)+10,
			w=survivalselect.font:getWidth("Default"),
			h=18,
			action={"default"},
		},
		{
			x=love.graphics.getWidth()*0.3,
			y=(love.graphics.getHeight()*0.3)+10,
			w=survivalselect.font:getWidth("Custom"),
			h=18,
			action={"custom"},
		},
		--[[
		{
			x=love.graphics.getWidth()*0.75,
			y=(love.graphics.getHeight()*0.3)+10,
			w=survivalselect.font:getWidth("Submarine Designer"),
			h=18,
			action={"submarine designer"},
		},
		]]
	}

survivalselect.draw = function()
	love.graphics.setFont(survivalselect.font)
	
	love.graphics.setColor(255,255,255,game.states:getAlpha("survivalselect")*0.5)
	if survivalselect.destination then
		for i = 1,#survivalselect.mouse do
			if survivalselect.mouse[i].action[1] == survivalselect.destination then
				love.graphics.rectangle("fill",survivalselect.mouse[i].x-(survivalselect.mouse[i].w*0.5),survivalselect.mouse[i].y-(survivalselect.mouse[i].h*0.5),survivalselect.mouse[i].w,survivalselect.mouse[i].h)
			end
		end
	end
	
	love.graphics.setColor(0,0,0,game.states:getAlpha("survivalselect"))
	
	love.graphics.print("Default",(love.graphics.getWidth()*0.15)-(survivalselect.font:getWidth("Default")*0.5),love.graphics.getHeight()*0.3)
	love.graphics.print("Custom",(love.graphics.getWidth()*0.3)-(survivalselect.font:getWidth("Custom")*0.5),love.graphics.getHeight()*0.3)
	love.graphics.print("Submarine Designer",(love.graphics.getWidth()*0.75)-(survivalselect.font:getWidth("Submarine Designer")*0.5),love.graphics.getHeight()*0.3)
	
	love.graphics.draw(survivalselect.lock,(love.graphics.getWidth()*0.75)-100,love.graphics.getHeight()*0.3,0,0.5,0.5,13,0)
	love.graphics.draw(survivalselect.lock,(love.graphics.getWidth()*0.75)+100,love.graphics.getHeight()*0.3,0,0.5,0.5,13,0)
end

survivalselect.update = function(dt)
	if survivalselect.destination then
		if game.states:getAlpha("survivalselect") == 0 then
			game.states:purge("survivalselect")
			--[[
			if survivalselect.destination == "options" then
				game.states:add("options","code/states/options.lua",1)
			elseif survivalselect.destination == "survival" then
				game.states:add("survivalmenu","code/states/survivalmenu.lua",1)
				game.states:add("survivalselect","code/states/survivalselect.lua",1)
			elseif survivalselect.destination == "campaign" then
				game.states:add("campaignselect","code/states/campaignselect.lua",1)
				game.states:add("campaignselect","code/states/campaignselect.lua",1)
			end
			]]
		end
	end
end


function survivalselect.mouseActions(x,y,button)
	-- declare table at top of file
	
	-- test
	local action = ow.mouse.detectAction(x,y,survivalselect.mouse)
	--NULL INPUT
	--stops it from crashing if theres nothing at click
	if action ~= nil then
		
		-- begin various tests by assessing the 
		--[[
		if action[2][1] == "survival" then
			game.states:setAlpha("survivalselect",0,200)
			survivalselect.destination = "survival"
		elseif action[2][1] == "options" then
			game.states:setAlpha("survivalselect",0,200)
			survivalselect.destination = "options"
		end
		]]
	end
end

survivalselect.init = function()
	game.states:setAlpha("survivalselect",255,150)
end

return survivalselect