local tltools = {}

tltools.logo = love.graphics.newImage("images/TLtools_logo.png")
tltools.font = love.graphics.newFont("fonts/Lekton-Bold.ttf",20)
tltools.time = 0
love.graphics.setFont(tltools.font)
tltools.mouse = {
		{
			x=love.graphics.getWidth()*0.5,
			y=love.graphics.getHeight()*0.5,
			w=love.graphics.getWidth(),
			h=love.graphics.getHeight(),
			action={"skip"},
		},
	}

tltools.draw = function()
	love.graphics.setColor(255,255,255,game.states:getAlpha("tltools"))
	love.graphics.draw(tltools.logo,love.graphics.getWidth()/2,love.graphics.getHeight()/2,0,1,1,64,32)
end

tltools.update = function(dt)
	if tltools.alpha[1] == 255 then
		if tltools.time == 0 then
			tltools.time = love.timer.getTime()
		end
	elseif tltools.alpha[1] == 0 then
		game.states:purge("tltools")
		game.states:add("menubackground","code/states/menubackground.lua",1)
		game.states:add("menu","code/states/menu.lua",1)
	end
	
	if tltools.time ~= 0 then
		if love.timer.getTime() - tltools.time >= 1 then
			game.states:setAlpha("tltools",0,200)
		end
	end
end

function tltools.mouseActions(x,y,button)
	-- declare table at top of file
	
	-- test
	local action = ow.mouse.detectAction(x,y,tltools.mouse)
	--NULL INPUT
	--stops it from crashing if theres nothing at click
	if action ~= nil then
		
		-- begin various tests by assessing the 
		if action[2][1] == "skip" then
			game.states:purge("tltools")
			game.states:add("menubackground","code/states/menubackground.lua",1)
			game.states:add("menu","code/states/menu.lua",1)
		end
	end
end

tltools.init = function()
	game.states:setAlpha("tltools",255,150)
end

return tltools